Debian Bug report logs - #661565
ITP: nyancat -- Terminal-based Pop Tart Cat animation

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonathan McCrohan <jmccrohan@gmail.com>

Date: Tue, 28 Feb 2012 01:27:02 UTC

Owned by: Jonathan McCrohan <jmccrohan@gmail.com>

Severity: wishlist

Fixed in version nyancat/0.1+git20120401.5a88b86-1

Done: Jonathan McCrohan <jmccrohan@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#661565; Package wnpp. (Tue, 28 Feb 2012 01:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan McCrohan <jmccrohan@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 28 Feb 2012 01:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan McCrohan <jmccrohan@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: nyancat -- Terminal-based Pop Tart Cat animation
Date: Tue, 28 Feb 2012 01:23:15 +0000
Package: wnpp
Severity: wishlist
Owner: Jonathan McCrohan <jmccrohan@gmail.com>

* Package name    : nyancat
  Version         : 0.1
  Upstream Author : Kevin Lange <k@dakko.us>
* URL             : http://miku.acm.uiuc.edu/
* License         : NCSA
  Programming Lang: C
  Description     : Terminal-based Pop Tart Cat animation 

Nyancat is an animated, color, ANSI-text telnet server that renders a loop of
the classic Nyan Cat animation. Nyancat can also be run as a standalone program
in a local terminal if telnet functionality is not required.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonathan McCrohan <jmccrohan@gmail.com>:
Bug#661565; Package wnpp. (Tue, 28 Feb 2012 13:09:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonathan McCrohan <jmccrohan@gmail.com>. (Tue, 28 Feb 2012 13:09:22 GMT) Full text and rfc822 format available.

Message #10 received at 661565@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Jonathan McCrohan <jmccrohan@gmail.com>, 661565@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#661565: ITP: nyancat -- Terminal-based Pop Tart Cat animation
Date: Tue, 28 Feb 2012 12:58:12 +0000
[Message part 1 (text/plain, inline)]
In the "humorless jerks complaining" department:

On Tue, Feb 28, 2012 at 01:23:15AM +0000, Jonathan McCrohan wrote:
> * Package name    : nyancat
> * URL             : http://miku.acm.uiuc.edu/
>
> Nyancat is an animated, color, ANSI-text telnet server that renders a loop of
> the classic Nyan Cat animation. Nyancat can also be run as a standalone program
> in a local terminal if telnet functionality is not required.

Is this worth including in Debian? It's funny for several microfortnights,
but how many people really need to install this?

Debian already has 35 thousand binary packages. Do we really need to
package everything? Even a tiny software toy brings a bit of burden
to the entire project: it needs to be built on every architecture,
Packages files grow (and they need to be processed by every Debian
computer), translators need to translate the description, etc.

If we package this, are we to package every programmatic implementation
of every Internet meme out there? What about IOCCC winners? What about
love letters expressed in C?

tl;dr: I don't think we should have this in Debian. Sorry.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonathan McCrohan <jmccrohan@gmail.com>:
Bug#661565; Package wnpp. (Tue, 28 Feb 2012 14:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonathan McCrohan <jmccrohan@gmail.com>. (Tue, 28 Feb 2012 14:51:07 GMT) Full text and rfc822 format available.

Message #15 received at 661565@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Lars Wirzenius <liw@liw.fi>
Cc: Jonathan McCrohan <jmccrohan@gmail.com>, 661565@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#661565: ITP: nyancat -- Terminal-based Pop Tart Cat animation
Date: Tue, 28 Feb 2012 10:48:15 -0400
[Message part 1 (text/plain, inline)]
I suggest a compromise. Include the nyancat program into
the existing robotfindskitten package.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonathan McCrohan <jmccrohan@gmail.com>:
Bug#661565; Package wnpp. (Tue, 28 Feb 2012 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <paulproteus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonathan McCrohan <jmccrohan@gmail.com>. (Tue, 28 Feb 2012 21:48:04 GMT) Full text and rfc822 format available.

Message #20 received at 661565@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <paulproteus@debian.org>
To: 661565@bugs.debian.org
Subject: Offer to mentor
Date: Tue, 28 Feb 2012 16:39:30 -0500 (EST)
Hi Jonathan,

Thanks for filing this ITP. I think this will be a great package to have 
in Debian.

When the packaging is ready for review, feel free to specially send it to 
me. I will set aside time to review the package, and if it is good, upload 
the package to the Debian archive.

Looking forward to it!

-- Asheesh.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonathan McCrohan <jmccrohan@gmail.com>:
Bug#661565; Package wnpp. (Tue, 28 Feb 2012 23:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoffrey Thomas <geofft@ldpreload.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonathan McCrohan <jmccrohan@gmail.com>. (Tue, 28 Feb 2012 23:39:09 GMT) Full text and rfc822 format available.

Message #25 received at 661565@bugs.debian.org (full text, mbox):

From: Geoffrey Thomas <geofft@ldpreload.com>
To: Jonathan McCrohan <jmccrohan@gmail.com>
Cc: 661565@bugs.debian.org
Subject: Re: Bug#661565: ITP: nyancat -- Terminal-based Pop Tart Cat animation
Date: Tue, 28 Feb 2012 15:36:57 -0800 (PST)
> I certainly don't plan on uploading and abandoning this package, but
> given the high level of opposition to this ITP, guess there is little
> point pursuing it.
>
> Jon

I'm not a DD, so I don't know how much my opinion counts, but I would have 
liked to see this in the archive. At the very least, I use "sl" as a 
standard demo package when I run packaging tutorials and such; nyancat 
would have been a somewhat easier-to-explain example. It'd be good to have 
this conveniently available when my school's student computing group runs 
an advertisement booth with a VT-100 attached to a modern computer running 
Debian. It would also be fun to integrate as a console-mode screensaver 
along the lines of cmatrix, which you mentioned.

If you end up deciding you really don't want to upload this, please leave 
this open as an RFP.

Thanks,
-- 
Geoffrey Thomas
http://ldpreload.com
geofft@ldpreload.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonathan McCrohan <jmccrohan@gmail.com>:
Bug#661565; Package wnpp. (Wed, 29 Feb 2012 09:21:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonathan McCrohan <jmccrohan@gmail.com>. (Wed, 29 Feb 2012 09:21:21 GMT) Full text and rfc822 format available.

Message #30 received at 661565@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 661565@bugs.debian.org
Subject: Re: Bug#661565: ITP: nyancat -- Terminal-based Pop Tart Cat animation
Date: Wed, 29 Feb 2012 10:17:25 +0100
Hi,

On Mittwoch, 29. Februar 2012, Jonathan McCrohan wrote:
> I certainly don't plan on uploading and abandoning this package, but
> given the high level of opposition to this ITP, guess there is little
> point pursuing it.

I think this is sad. I would love to have nyancat in Debian. (with sound!) and 
asciiaquarium.

surely there must be at least some package where this can be added? or you 
start a new collection like bsdgames, make it memetoys or such.


cheers,
	Holger




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 08:06:06 GMT) Full text and rfc822 format available.

Reply sent to Jonathan McCrohan <jmccrohan@gmail.com>:
You have taken responsibility. (Sat, 19 May 2012 12:34:50 GMT) Full text and rfc822 format available.

Notification sent to Jonathan McCrohan <jmccrohan@gmail.com>:
Bug acknowledged by developer. (Sat, 19 May 2012 12:34:52 GMT) Full text and rfc822 format available.

Message #37 received at 661565-close@bugs.debian.org (full text, mbox):

From: Jonathan McCrohan <jmccrohan@gmail.com>
To: 661565-close@bugs.debian.org
Subject: Bug#661565: fixed in nyancat 0.1+git20120401.5a88b86-1
Date: Sat, 19 May 2012 11:47:09 +0000
Source: nyancat
Source-Version: 0.1+git20120401.5a88b86-1

We believe that the bug you reported is fixed in the latest version of
nyancat, which is due to be installed in the Debian FTP archive:

nyancat-server_0.1+git20120401.5a88b86-1_all.deb
  to main/n/nyancat/nyancat-server_0.1+git20120401.5a88b86-1_all.deb
nyancat_0.1+git20120401.5a88b86-1.debian.tar.gz
  to main/n/nyancat/nyancat_0.1+git20120401.5a88b86-1.debian.tar.gz
nyancat_0.1+git20120401.5a88b86-1.dsc
  to main/n/nyancat/nyancat_0.1+git20120401.5a88b86-1.dsc
nyancat_0.1+git20120401.5a88b86-1_i386.deb
  to main/n/nyancat/nyancat_0.1+git20120401.5a88b86-1_i386.deb
nyancat_0.1+git20120401.5a88b86.orig.tar.gz
  to main/n/nyancat/nyancat_0.1+git20120401.5a88b86.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661565@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan McCrohan <jmccrohan@gmail.com> (supplier of updated nyancat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 19 Apr 2012 23:01:49 +0100
Source: nyancat
Binary: nyancat nyancat-server
Architecture: source i386 all
Version: 0.1+git20120401.5a88b86-1
Distribution: unstable
Urgency: low
Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
Changed-By: Jonathan McCrohan <jmccrohan@gmail.com>
Description: 
 nyancat    - Animated terminal Nyancat
 nyancat-server - Animated terminal Nyancat server configurations
Closes: 661565
Changes: 
 nyancat (0.1+git20120401.5a88b86-1) unstable; urgency=low
 .
   * Initial release (Closes: #661565)
    - Many thanks to Jakub Wilk for sponsoring this package.
Checksums-Sha1: 
 611c29103bab3d02c4a0fd48fd131af02a34ca81 1871 nyancat_0.1+git20120401.5a88b86-1.dsc
 99883626c040cf08fe3e962f0891787ec05d3bf8 12622 nyancat_0.1+git20120401.5a88b86.orig.tar.gz
 256e55bd62980cfda8b23de38f88f39860648bed 4425 nyancat_0.1+git20120401.5a88b86-1.debian.tar.gz
 babf2e4e55cbcaad636aee6d0ec20afa98edb7ec 12334 nyancat_0.1+git20120401.5a88b86-1_i386.deb
 6b14cb68cf40d8199e27c90443b8faa639f9ac4b 3708 nyancat-server_0.1+git20120401.5a88b86-1_all.deb
Checksums-Sha256: 
 fd2e0037d5c7a9489f4b68d608fdd9152804db725aa64d61c0a65cdac5cf4ef3 1871 nyancat_0.1+git20120401.5a88b86-1.dsc
 81760b4ab9399ef6570884f7d20f76679f716328c374e48117cfd61cb4ebb3c7 12622 nyancat_0.1+git20120401.5a88b86.orig.tar.gz
 2b36db55903cc4b2927dd8b476f2a68e65368a9bec592729d84258e3ebb6c544 4425 nyancat_0.1+git20120401.5a88b86-1.debian.tar.gz
 e8a4a140e89b2e14156e6e43ce2cd61a7cdf3b0b78f9e4619a798df87ec0107d 12334 nyancat_0.1+git20120401.5a88b86-1_i386.deb
 8182fddebbe8b4931374a4572c7cfc0902b977871ee4d6d2ea9c96a4f279d5ca 3708 nyancat-server_0.1+git20120401.5a88b86-1_all.deb
Files: 
 f6440d22f3d7538c3702db7534149f49 1871 misc extra nyancat_0.1+git20120401.5a88b86-1.dsc
 4cd6b889f4bf33c6f9ff1d3d8e6e95a3 12622 misc extra nyancat_0.1+git20120401.5a88b86.orig.tar.gz
 44dd314c4c7b3f2201d57d19e6783a89 4425 misc extra nyancat_0.1+git20120401.5a88b86-1.debian.tar.gz
 4ccaec933091254e43ea41a2408fe367 12334 misc extra nyancat_0.1+git20120401.5a88b86-1_i386.deb
 c78a04328fb4dd3ca3d18eacbaf774b7 3708 misc extra nyancat-server_0.1+git20120401.5a88b86-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPkKhqAAoJEC1Os6YBVHX1sBoQAK6Qc7daX/FCnITeIDcy7PuO
cZ1zZ3NkRWWftmGdAspK7dncaHFHWgrnRcMLNdHCB6foCj0LjhYr5oVWW+U4s0Hd
07IL9+v5ZSDxi4SQ9kfn9NrM2KfRTH55+BjekdOx+rjrqXbFPkKWRAiTggt7Bi3v
vxQOIe9ZBS/0d0Fe8lQ0fw9TvWmbnetWgRlSuaggdSyWiUIYvRbPaIbKqnls89x3
f/U4tP5psWtUIpry47q9NJ/akpdFlOytzv4j9lP8weDWLYPk9+UIjcvI/a5kKVnU
DonG5pDCZS0Lr6m4dVSLq46Bwkuo7GP8VGKFYgILDy57puWUXsJE/mL2H9UnZC4q
AuhUvaGdJOzyje3RQfRAZ21+dOe3+QFG2rxIHDx9Qla0X4RtWLlEV3BxtybEjY6q
IGharSvW6HlWuBfqbFre3n04aPtw/14g4gppK+9axhJxCP8s9VKOOvbAvcMken2Q
zSyMcf02ATCqshALfMX05/thr9jYyzR8qXhod9zc2cFCbhIqDIuPqLRY6SanbvtG
PNJQjD7BzqkP5kZrOAqi5i9MJSOU4nwU4F+m/zGEeYFpPB/kOY75yg7fddrcsINu
tWG4Aymr4AKQWJuBeWfnyE7dEQdRFgg49zN0QVsY/W/zxKVYnMMx0cHN0M1dcU6X
vwAUzEHJvSehq8OxkS6Y
=w8e1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2012 07:49:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:12:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.